Package org.pushingpixels.substance.internal.ui

# Class SubstanceToolBarUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ToolBarUI
javax.swing.plaf.basic.BasicToolBarUI
org.pushingpixels.substance.internal.ui.SubstanceToolBarUI

All Implemented Interfaces:
  `SwingConstants`

public class SubstanceToolBarUI extends BasicToolBarUI
UI for tool bars in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicToolBarUI

`BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI

`constraintBeforeFloating, dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

### Fields inherited from interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceToolBarUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults()`
`protected void`
`setBorderToNonRollover(Component c)`
`protected void`
`setBorderToNormal(Component c)`
`protected void`
`setBorderToRollover(Component c)`
`protected void`
`uninstallDefaults()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI

`canDock, createDockingListener, createDragWindow, createFloatingFrame, createFloatingWindow, createFrameListener, createNonRolloverBorder, createPropertyListener, createRolloverBorder, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getNonRolloverBorder, getRolloverBorder, installComponents, installKeyboardActions, installListeners, installNonRolloverBorders, installNormalBorders, installRolloverBorders, installUI, isFloating, isRolloverBorders, navigateFocusedComp, paintDragWindow, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, setRolloverBorders, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceToolBarUI

public SubstanceToolBarUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicToolBarUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `BasicToolBarUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### setBorderToRollover

protected void setBorderToRollover(Component c)

Overrides:
  `setBorderToRollover` in class `BasicToolBarUI`

### setBorderToNonRollover

protected void setBorderToNonRollover(Component c)

Overrides:
  `setBorderToNonRollover` in class `BasicToolBarUI`

### setBorderToNormal

protected void setBorderToNormal(Component c)

Overrides:
  `setBorderToNormal` in class `BasicToolBarUI`